Listar tasas de cambio
curl --request GET \
--url https://api.filexpress.app/api/external/v2/exchange-rates \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/v2/exchange-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/v2/exchange-rates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/v2/exchange-rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"base_currency_code": "USD",
"rates": [
{
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"currency_code": "GTQ",
"rate": "0.13000000",
"effective_date": "2026-10-20",
"source": "manual"
},
{
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"currency_code": "GTQ",
"rate": "0.12800000",
"effective_date": "2026-10-15",
"source": "manual"
}
],
"current_page": 1,
"last_page": 1,
"per_page": 50,
"total": 2
}
}Listar tasas de cambio
Tasas del negocio, de la más reciente a la más antigua. rate son unidades de moneda base por 1 unidad de la moneda extranjera.
Permiso requerido: currencies
GET
/
v2
/
exchange-rates
Listar tasas de cambio
curl --request GET \
--url https://api.filexpress.app/api/external/v2/exchange-rates \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/v2/exchange-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/v2/exchange-rates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/v2/exchange-rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"base_currency_code": "USD",
"rates": [
{
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"currency_code": "GTQ",
"rate": "0.13000000",
"effective_date": "2026-10-20",
"source": "manual"
},
{
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"currency_code": "GTQ",
"rate": "0.12800000",
"effective_date": "2026-10-15",
"source": "manual"
}
],
"current_page": 1,
"last_page": 1,
"per_page": 50,
"total": 2
}
}Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Código de la moneda (por ejemplo GTQ).
Vigente desde (YYYY-MM-DD).
Vigente hasta (YYYY-MM-DD).
1 a 200 (por defecto 50).
Required range:
1 <= x <= 200Página.